org.appng.core.model

## Class ApplicationCacheManager

- java.lang.Object
- - org.appng.core.model.ApplicationCacheManager

- All Implemented Interfaces:
    org.springframework.beans.factory.DisposableBean, org.springframework.cache.CacheManager

      public class ApplicationCacheManager
      extends Object
      implements org.springframework.cache.CacheManager, org.springframework.beans.factory.DisposableBean

  A `CacheManager` that is aware of `Site`s and `Application`s to avoid naming conflicts and also ensure no other `Application` can access the `Cache`.
  The TTL and maxIdle for the `Cache` can be configured using the application property .
  See Also:
    `ApplicationProperties.PROP_CACHE_CONFIG`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationCacheManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `org.springframework.cache.Cache` | `getCache(String name)`
    `Collection<String>` | `getCacheNames()`
    `void` | `initialize(Site site, Application application, org.springframework.cache.CacheManager delegate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationCacheManager

          public ApplicationCacheManager()

  - ### Method Detail

    - #### initialize

          public void initialize(Site site,
                                 Application application,
                                 org.springframework.cache.CacheManager delegate)

    - #### getCache

          public org.springframework.cache.Cache getCache(String name)

      Specified by:
        `getCache` in interface `org.springframework.cache.CacheManager`

    - #### getCacheNames

          public Collection<String> getCacheNames()

      Specified by:
        `getCacheNames` in interface `org.springframework.cache.CacheManager`

    - #### destroy

          public void destroy()
                       throws Exception

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`
      Throws:
        `Exception`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.